Bug 822149 - Incorrect description of Enabling HTTP Response-Time Metrics on JBoss AS 5.x-6.x
Incorrect description of Enabling HTTP Response-Time Metrics on JBoss AS 5.x-6.x
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 09:52 EDT by Filip Brychta
Modified: 2013-02-28 19:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:33:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-05-16 09:52:37 EDT
Description of problem:
Process described http://rhq-project.org/display/JOPR2/JBoss+AS+5.x-6.x+Product+Configuration#JBossAS5.x-6.xProductConfiguration-EnablingHTTPResponseTimeMetrics is incorrect. 

Version-Release number of selected component (if applicable):
Version: 3.1.0.GA
Build Number: 07775cb:4ccefd7

eap-5.1.2

How reproducible:
always

Steps to Reproduce:
1. follow steps described here http://rhq-project.org/display/JOPR2/JBoss+AS+5.x-6.x+Product+Configuration#JBossAS5.x-6.xProductConfiguration-EnablingHTTPResponseTimeMetrics

  
Actual results:
14:52:31,012 ERROR [[/helloworld]] Exception starting filter RhqRtFilter
java.lang.ClassNotFoundException: org.rhq.helpers.rtfilter.filter.RtFilter
	at java.net.URLClassLoader$1.run(URLClassLoader.java:217)


Expected results:
no errors

Additional info:
This problem is caused by incorrect path (<JBOSS_HOME>/lib/) where rhq-rtfilter JAR must be copied to. Correct path is (<JBOSS_HOME>/lib/server/<PROFILE>/lib
Comment 1 Mike Foley 2012-05-21 11:52:01 EDT
per BZ triage 5/21/2012 (asantos, loleary, ccrouch, mfoley)
Comment 3 Filip Brychta 2012-08-02 07:37:26 EDT
I'm sorry but i attached incorrect path in my description. Correct path is <JBOSS_HOME>/server/<PROFILE>/lib, verified on JON3.1.0.GA
Comment 4 Deon Ballard 2013-02-28 19:33:48 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.